REST reference
Files
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
curl -X POST "https://example.com/files/fetch" \ -H "Content-Type: application/json" \ -d '{ "url": "string" }'{ "id": "string", "name": "string", "mimeType": "string", "sizeBytes": 0, "sha256": "string", "createdAt": "string"}POST
/filesRequest Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/files" \ -F file="string" \ -F sha256="string"{ "id": "string", "name": "string", "mimeType": "string", "sizeBytes": 0, "sha256": "string", "createdAt": "string"}curl -X GET "https://example.com/files/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
curl -X GET "https://example.com/files/497f6eca-6276-4993-bfeb-53cbbbba6f08/meta"{ "id": "string", "name": "string", "mimeType": "string", "sizeBytes": 0, "sha256": "string", "createdAt": "string"}